'use strict';
import Vue from 'vue';
import Vuex from 'vuex';

Vue.use(Vuex);

import heroes from './heroes/heroes';

const state = {
  username: '',
  gameId: -1,
  messages: []
};

const getters = {
  messages(state) {
    return state.messages;
  }
};

const mutations = {
  ADD_MESSAGE: (state, payload) => {
    state.messages.push(payload);
  }
};
const actions = {
  addMessageToQueue: ({ commit }, payload) => {
    commit('ADD_MESSAGE', payload);
  }
};
export const store = new Vuex.Store({
  state,
  getters,
  mutations,
  actions,

  modules: {
    heroes
  }
});
